ch.qos.logback.core.joran.spi

## Class EventPlayer

- java.lang.Object
- - ch.qos.logback.core.joran.spi.EventPlayer

    public class EventPlayer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EventPlayer(Interpreter interpreter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEventsDynamically(List<SaxEvent> eventList, int offset)`
`List<SaxEvent>` `getCopyOfPlayerEventList()` Return a copy of the current event list in the player.
`void` `play(List<SaxEvent> aSaxEventList)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventPlayer

    public EventPlayer(Interpreter interpreter)

### Method Detail

#### getCopyOfPlayerEventList

    public List<SaxEvent> getCopyOfPlayerEventList()

Return a copy of the current event list in the player.

Returns:
Since:
  0.9.20

#### play

    public void play(List<SaxEvent> aSaxEventList)

#### addEventsDynamically

    public void addEventsDynamically(List<SaxEvent> eventList,
                                     int offset)